Bug 669513 - Subscription Manager should create a fact called "system.compliant"
Summary: Subscription Manager should create a fact called "system.compliant"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Adrian Likins
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2011-01-13 20:54 UTC by Bryan Kearney
Modified: 2011-05-19 13:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:38:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description Bryan Kearney 2011-01-13 20:54:08 UTC
In order for the server to display if a machine is compliant, the subscription-manager tool should store this attribute as a fact and pass it up to the server.

There is currently a "system" collection of facts which contains name and uuid. This fact should be added there.

Comment 2 Adrian Likins 2011-01-17 21:08:06 UTC
commit 7d18fd51056d70d984fa0b950796d92f13d3d2ce
Author: Adrian Likins <alikins@redhat.com>
Date:   Fri Jan 14 11:01:22 2011 -0500

    669513: add a 'system.compliant' fact
    
    Add 'system.compliant' to facts gathering and reporting.
    
    Small change in facts dialog to make sure we show the
    system group twice. Set fact value to True/False

Comment 4 spandey 2011-01-20 12:10:37 UTC
Verified using following subscription-manager rpm 


subscription-manager-firstboot-0.93.13-1.el6.x86_64
subscription-manager-0.93.13-1.el6.x86_64
subscription-manager-gnome-0.93.13-1.el6.x86_64


I am able to find 'system.compliant' facts in facts --list 


[root@beta1 ~]# subscription-manager facts --list | grep system.compliant
system.compliant: False
[root@beta1 ~]# 

Moving defect status from Modified to verified

Comment 5 errata-xmlrpc 2011-05-19 13:38:52 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.